DefaultFeatureInfoResponse (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image.wms
Class DefaultFeatureInfoResponse

    java.lang.Object
      com.bbn.openmap.image.wms.DefaultFeatureInfoResponse

All Implemented Interfaces:
  FeatureInfoResponse

    public class DefaultFeatureInfoResponse

extends java.lang.Object
implements FeatureInfoResponse

Constructor Summary
`DefaultFeatureInfoResponse()`

Method Summary
`protected void` | `appendFooter()`
`protected void` | `appendHeader()`
`void` | `flush()`
`protected java.lang.String` | `getContentType()`
`java.util.Collection<java.lang.String>` | `getInfoFormats()` Return a `Collection` of the supported INFO_FORMAT supported by this `FeatureInfoResponse`
`void` | `output(LayerFeatureInfoResponse layerFeatureInfoResponse)`
`void` | `setOutput(java.lang.String contentType, java.lang.StringBuffer out)` Initiate a new feature info response output with the given content type and output buffer
`protected void` | `write(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFeatureInfoResponse

    public DefaultFeatureInfoResponse()

Method Detail

### setOutput

    public void setOutput(java.lang.String contentType,
                          java.lang.StringBuffer out)

  Description copied from interface: `FeatureInfoResponse`
  Initiate a new feature info response output with the given content type and output buffer

  Specified by:
    `setOutput` in interface `FeatureInfoResponse`

### flush

    public void flush()

  Specified by:
    `flush` in interface `FeatureInfoResponse`

### getInfoFormats

    public java.util.Collection<java.lang.String> getInfoFormats()

  Description copied from interface: `FeatureInfoResponse`
  Return a `Collection` of the supported INFO_FORMAT supported by this `FeatureInfoResponse`

  Specified by:
    `getInfoFormats` in interface `FeatureInfoResponse`
  Returns:
    collection of strings for info formats

### output

    public void output(LayerFeatureInfoResponse layerFeatureInfoResponse)

  Specified by:
    `output` in interface `FeatureInfoResponse`

### write

    protected void write(java.lang.String s)

### getContentType

    protected java.lang.String getContentType()

### appendHeader

    protected void appendHeader()

### appendFooter

    protected void appendFooter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details